Bug 1404427 - "audit log" is logged with "new_value" instead of actual data when new user is created.
Summary: "audit log" is logged with "new_value" instead of actual data when new user ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.7.1
Assignee: Greg Piatigorski
QA Contact: Matouš Mojžíš
URL:
Whiteboard:
Depends On: 1394593
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-13 20:18 UTC by Satoe Imaishi
Modified: 2019-12-16 07:27 UTC (History)
9 users (show)

Fixed In Version: 5.7.1.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1394593
Environment:
Last Closed: 2017-02-27 19:15:00 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0320 0 normal SHIPPED_LIVE Moderate: CFME 5.7.1 bug fixes and enhancement update 2017-02-28 00:13:26 UTC

Comment 2 CFME Bot 2017-01-06 18:45:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/eb5a7172e043c7ebf23c9ff664f1ff8ee813772c

commit eb5a7172e043c7ebf23c9ff664f1ff8ee813772c
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Tue Nov 22 13:41:11 2016 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jan 6 13:40:24 2017 -0500

    Merge pull request #12786 from GregP/new_user_audit_log_values
    
    Fix Audit Log to record settings/values when creating new user
    (cherry picked from commit 2b75ba5bfbc6c9281a583ab17ba2c3ff039251bf)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1404427

 app/controllers/ops_controller.rb | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

Comment 4 Greg Piatigorski 2017-02-08 19:32:03 UTC
I think so, completely spaced out on this one after not seeing it merged for a bit. We also seem to have dupes of this now.

Comment 5 Matouš Mojžíš 2017-02-16 09:31:08 UTC
Verified in 5.7.1.2.
There are actual data in audit log:
INFO -- Success: MIQ(OpsRbac.rbac_edit_save_or_add) userid: [admin] - [test] Record added ( name:[] to [test],  group:[] to [5],  userid:[] to [testing] password:[*] to [*])

Comment 6 errata-xmlrpc 2017-02-27 19:15:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2017-0320.html


Note You need to log in before you can comment on or make changes to this bug.